
QGIS Application - Bug report #1451

High usage of CPU when moving mouse over map canvas

2008-12-08 11:18 AM - Martin Dobias

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 11511

Description

When you move mouse over map canvas (with any tool, e.g. panning), you can see high CPU usage by QGIS application.

The problem is related to updates of coordinates shown in status bar - if extent is being shown instead of coordinates, CPU usage is very

low.

I think it has something to do with layout management in status bar...

Using ubuntu, Qt 4.3.4.

History

#1 - 2009-07-12 08:16 AM - Giovanni Manghi

What is the status of this problem? Since the ticket was posted something changed?

With qgis 1.2 from trunk, Ubuntu 9.04 and a bunch of vectors/raster opened in the project the cpu for the qgis process rarely passed 50 when panning,

zooming, etc.

#2 - 2009-08-06 06:15 PM - Steven Mizuno

It appears that QLabel is doing a lot of work to paint the new values. Perhaps using a QLineEdit control would be better. The [[CoordinateCapture]] tool has

two such controls, plus it does coordinate transforms, and its CPU utilization isn't any more (actually less in my testing on Windows) than the mouse cursor

position control.

#3 - 2011-03-04 01:32 AM - Paolo Cavallini

Confirmed with commit:f5b1607e (SVN r15261)

#4 - 2011-04-16 10:15 AM - Anne Ghisla

I can't confirm with commit:f8e10a33 (SVN r15725), qt 4.7.1 on Fedora. CPU usage by QGIS is mainly under 10% while panning and zooming on a medium

complex layer, both with coordinates or extent in the status bar.

Is there any other factor that can trigger this CPU consumption?
#5 - 2011-04-16 05:13 PM - Martin Dobias

The problem is still there. Ubuntu, Qt 4.7.0.

It is not necessary to pan/zoom a layer. This happens even with empty canvas - just moving the mouse over it keeps the processor busy more than one

would expect. Still happens only when showing the current coordinates, not the extent.

#6 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2012-04-16 06:22 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#8 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#10 - 2015-06-05 01:29 PM - Saber Razmjooei

- Status changed from Open to Feedback

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

Can't reproduce in master.

Time to close this!

#11 - 2015-10-19 02:56 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to worksforme

closing for the lack of feedback.

2025-04-27 2/2


